<mat-card class="root-panel">
	<mat-card-header>
		<mat-card-title>Risk Assessment Details</mat-card-title>
	</mat-card-header>
	<mat-card-content>
			<div class="notify label label-light-info rounded"
			><mat-icon mat-list-icon>info</mat-icon>
			<h3>Please Note</h3>
			<div><p>
				This tool is provided to assist the user in assessing data risk.
				Information entered into this tool is not recorded.</p><p>
				To obtain a more permanent record of your assessment please use the print or send buttons provided
				on the report page.
			</p></div></div>
		<form (ngSubmit)="onSubmit()" class="flex-form-container" #riskForm="ngForm">
			<div
				fxLayout="row wrap"
				fxLayoutGap="2%"
				fxLayoutAlign="flex-start"
			>
				<div class="form-group">
					<h3>Assessor Details</h3>
					<mat-form-field class="form-field">
						<input id="assessorName" name="assessorName" #assessorName="ngModel" [(ngModel)]="data.riskAssessorName" matInput placeholder="Assessor Name">

					</mat-form-field>

					<mat-form-field class="form-field">
						<input id="assessorPosition" name="assessorPosition" #assessorPosition="ngModel" [(ngModel)]="data.riskAssessorPosition" matInput placeholder="Assessor Position" >
					</mat-form-field>

					<mat-form-field class="form-field">
						<input id="assessorId" name="assessorId" #assessorId="ngModel" [(ngModel)]="data.riskAssessorId" matInput placeholder="Assessor User Id" >
					</mat-form-field>

<!-- 					<mat-form-field class="form-field">
						<input id="assessorEmail" name="assessorEmail" #assessorEmail="ngModel" [(ngModel)]="data.riskAssessorEmail" matInput placeholder="Assessor Email" required email>
						<mat-error *ngIf="assessorEmail.errors?.email && !assessorEmail.errors.required">
							Please enter a valid email address
						</mat-error>
						<mat-error *ngIf="assessorEmail.errors?.required">
							Email is <strong>required</strong>
						</mat-error>
					</mat-form-field> -->

					<mat-form-field class="form-field">
						<input id="company" name="company" #company="ngModel" [(ngModel)]="data.company" matInput placeholder="Company">
					</mat-form-field>
				</div>

				<div class="form-group">
					<h3>Request Details</h3>

					<mat-form-field class="form-field">
						<input id="requestorName" name="requestorName" #requestorName="ngModel" [(ngModel)]="data.requestorName" matInput placeholder="Requestor Name">
					</mat-form-field>

<!-- 					<mat-form-field class="form-field">
						<input id="requestorEmail" name="requestorEmail" #requestorEmail="ngModel" [(ngModel)]="data.requestorEmail" matInput placeholder="Requestor Email" required email>
						<mat-error *ngIf="requestorEmail.errors?.email && !requestorEmail.errors.required">
							Please enter a valid email address
						</mat-error>
						<mat-error *ngIf="requestorEmail.errors?.required">
							Email is <strong>required</strong>
						</mat-error>
					</mat-form-field> -->

					<mat-form-field class="form-field">
						<textarea id="requestDescription" name="requestDescription" #requestDetails="ngModel" [(ngModel)]="data.requestDescription" matInput placeholder="Request Description" ></textarea>
					</mat-form-field>

					<mat-form-field class="form-field">
						<input id="requestId" name="requestId" #requestorId="ngModel" [(ngModel)]="data.requestId" matInput placeholder="Data Request Id">
					</mat-form-field>
				</div>

				<div class="form-group-2col" fxLayout="row wrap" fxLayoutGap="50px">
					<h3>Assessment Details</h3>
					<div class="sub-form-group-1" >
						<mat-form-field class="form-field">
							<input id="projectName" name="projectName" #projectName="ngModel" [(ngModel)]="data.projectName" matInput placeholder="Project Name">
						</mat-form-field>

						<mat-form-field class="form-field">
							<input [matDatepicker]="dp" id="date" name="date" #date="ngModel" [(ngModel)]="data.date" [disabled]="true" matInput placeholder="Assessment Date">
							<mat-datepicker #dp></mat-datepicker>
						</mat-form-field>

						<mat-form-field class="form-field">
							<input id="dataSource" name="dataSource" #dataSource="ngModel" [(ngModel)]="data.dataSource" matInput placeholder="Data Source">
						</mat-form-field>
					</div>
					<div class="sub-form-group-2">
						<mat-form-field  class="form-field">
							<textarea id="dataDetails" name="dataDetails" #dataDetails="ngModel" [(ngModel)]="data.dataDetails" matInput placeholder="Data Details"></textarea>
						</mat-form-field>
					</div>
				</div>
			</div>
		</form>
	</mat-card-content>
	<mat-card-actions align="end">
		<button mat-button (click)="onSubmit()" [disabled]="!riskForm.valid">START ASSESSMENT</button>
		<button mat-button (click)="resetForm()">CLEAR</button>
	</mat-card-actions>
</mat-card>
